ODBC Functions
odbc_binmode
ODBC Functions
PHP Manual

# odbc_autocommit

(PHP 4, PHP 5)

odbc_autocommit — Toggle autocommit behaviour

### Description

mixed odbc_autocommit ( resource `$connection_id` [, bool `$OnOff` ] )

Toggles autocommit behaviour.

By default, auto-commit is on for a connection. Disabling auto-commit is equivalent with starting a transaction.

### Parameters

`connection_id`

  The ODBC connection identifier, see odbc_connect() for details.

`OnOff`

  If `OnOff` is `TRUE`, auto-commit is enabled, if it is `FALSE` auto-commit is disabled.

### Return Values

Without the `OnOff` parameter, this function returns auto-commit status for `connection_id` . Non-zero is returned if auto-commit is on, 0 if it is off, or `FALSE` if an error occurs.

If `OnOff` is set, this function returns `TRUE` on success and `FALSE` on failure.

### See Also

- odbc_commit()
- odbc_rollback()

ODBC Functions
odbc_binmode
ODBC Functions
PHP Manual